Centos 5.8 64位 yum 安装 php5.2

由于程序运行环境需要,不得不使用老掉牙的PHP5.2以下版本。

下面提供两种方法安装PHP5.2

操作系统: CentOS 5.8 64位(阿里云空间)

1、通过官方下载源码,编译安装
下载地址:http://museum.php.net/php2/

编译安装方法,可以解压后看README文本文件。

2、通过第三方的yum源安装php5.2.17

参考方法:https://webtatic.com/packages/php53/

1)通过rpm -qa |grep php 命令,查看系统已经安装的php软件包
如果有安装,可通过 yum -y remove php* 卸载掉。

2)安装yum库信息 rpm -Uvh http://mirror.webtatic.com/yum/centos/5/latest.rpm
这个安装完成后会在 /etc/yum.repos.d 生成 webtatic.repo 这个配置文件

3)编辑 /etc/yum.conf 排除 5.3,5.4,5.5,5.6版本。
增加这一行:exclude=*5.3.*,*5.3.*,*5.4.*,*5.5.*,*5.6.*

4)安装php

yum –enablerepo=webtatic install php php-mysql php-xml php-gd php-mbstring php-cli

yum –enablerepo=webtatic update php php-mysql php-xml php-gd php-mbstring php-cli

5)使用rpm -qa |grep php 或php -v 查看下php版本是否为php5.2

参考文档 https://webtatic.com/projects/yum-repository/

http://clin003.com/linux/centos5-yum-php52-3023/
https://webtatic.com/packages/php53/

脚本下载地址:centos5-php52

PS:Centos 5.8和centos 5.10官方源中仅为php5.1.6,centos6以上为php5.3。

Leave a Reply

Your email address will not be published. Required fields are marked *